| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_csio_cs Struct Reference
Multi Function Serial Interface (MFS)

CSIO chip selection configuration. More...

`#include <mfs.h>`

## Data Fields
en_cs_pin_sel_t | enCsStartPin
| Chip selection pin selection.
en_cs_pin_sel_t | enCsEndPin
| Chip selection pin selection.
en_cs_pin_level_t | enLevel
| Active level selection, only available for SCS0.
boolean_t | bActiveHold
| FALSE: don't hold active status, TRUE: hold active status until all bytes are transfered.
en_cs_timing_clk_t | enClkDiv
| Chip selection clock division.
uint8_t | u8CsSetupDelayTime
| Chip selection delay time.
uint8_t | u8CsHoldDelayTime
| Chip selection hold time.
uint16_t | u16CsDeselectTime
| Chip selection deselection time (gap between two bytes's transfer)
uint8_t | u8Scs0TransferByteCnt
| SCS0 Transfer byte count.
uint8_t | u8Scs1TransferByteCnt
| SCS1 Transfer byte count.
uint8_t | u8Scs2TransferByteCnt
| SCS2 Transfer byte count.
uint8_t | u8Scs3TransferByteCnt
| SCS3 Transfer byte count.
boolean_t | bScs0En
| TRUE: SCS0 Enable.
boolean_t | bScs1En
| TRUE: SCS1 Enable.
boolean_t | bScs2En
| TRUE: SCS2 Enable.
boolean_t | bScs3En
| TRUE: SCS3 Enable.

## Detailed Description

CSIO chip selection configuration.

Definition at line 726 of file mfs.h.

## Field Documentation

boolean_t bActiveHold

FALSE: don't hold active status, TRUE: hold active status until all bytes are transfered.

Definition at line 731 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

boolean_t bScs0En

TRUE: SCS0 Enable.

Definition at line 740 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

boolean_t bScs1En

TRUE: SCS1 Enable.

Definition at line 741 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

boolean_t bScs2En

TRUE: SCS2 Enable.

Definition at line 742 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

boolean_t bScs3En

TRUE: SCS3 Enable.

Definition at line 743 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

en_cs_timing_clk_t enClkDiv

Chip selection clock division.

Definition at line 732 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

en_cs_pin_sel_t enCsEndPin

Chip selection pin selection.

Definition at line 729 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

en_cs_pin_sel_t enCsStartPin

Chip selection pin selection.

Definition at line 728 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

en_cs_pin_level_t enLevel

Active level selection, only available for SCS0.

Definition at line 730 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

uint16_t u16CsDeselectTime

Chip selection deselection time (gap between two bytes's transfer)

Definition at line 735 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

uint8_t u8CsHoldDelayTime

Chip selection hold time.

Definition at line 734 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

uint8_t u8CsSetupDelayTime

Chip selection delay time.

Definition at line 733 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

uint8_t u8Scs0TransferByteCnt

SCS0 Transfer byte count.

Definition at line 736 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

uint8_t u8Scs1TransferByteCnt

SCS1 Transfer byte count.

Definition at line 737 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

uint8_t u8Scs2TransferByteCnt

SCS2 Transfer byte count.

Definition at line 738 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

uint8_t u8Scs3TransferByteCnt

SCS3 Transfer byte count.

Definition at line 739 of file mfs.h.

Referenced by Mfs_Csio_Init(), and S25fl127s_Init().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mfs/mfs.h